Home

Get a proof for a transaction in a block.

GET
https://algo.nownodes.io/v2/blocks/{round}/transactions/{txid}/proof

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

roundintegerrequiredpath

The round in which the transaction appears.

txidstringrequiredpath

The transaction ID for which to generate a proof.

hashtypestringsha512_256sha256query

The type of hash function used to create the proof, must be one of:

  • sha512_256
  • sha256
formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Response

200OK

Proof of transaction in a block.

400Bad Request

Malformed round number or transaction ID

401Unauthorized

Invalid API token

404Not Found

Non-existent block or transaction

500Internal Server Error

Internal error, including protocol not supporting proofs.

default

Unknown error